include <globals.scad>

use <headband.scad>

module inserticle() {
    cube([INSERTICLE_X, INSERTICLE_Y, INSERTICLE_Z], center=true);
}

module pressfit_headband(debug=DEBUG, size=SIZE, height=HEIGHT, thickness=THICKNESS, part=PART, stretch_len=STRETCH_LEN, tip_len=TIP_LEN, tip_bend=TIP_BEND) {
    union() {
        color("pink") { $a=48;
            rotate( $a, [0, 0, 1]) {
                translate([-size-4, 0,]) rotate(90, [0, 1, 0]) inserticle();
                translate([-size-3, 0,]) rotate(90, [0, 1, 0]) inserticle();
            }
            rotate(-$a, [0, 0, 1]) {
                translate([-size-4, 0,]) rotate(90, [0, 1, 0]) inserticle();
                translate([-size-3, 0,]) rotate(90, [0, 1, 0]) inserticle();
            }
        }
        headband(
            size=size,
            height=height,
            thickness=thickness,
            part=part,
            stretch_len=stretch_len,
            tip_len=tip_len,
            tip_bend=tip_bend
        );
    };
}

pressfit_headband();
